package com.ktg.iscs.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.ktg.iscs.domain.IsMaterialsInstructions;

/**
 * 物资使用说明Service接口
 *
 * @author cgj
 * @date 2025-01-23
 */
public interface IIsMaterialsInstructionsService extends IService<IsMaterialsInstructions> {

    Page<IsMaterialsInstructions> getIsMaterialsInstructionsPage(Page<IsMaterialsInstructions> page, IsMaterialsInstructions isMaterialsInstructions);

    Boolean deleteIsMaterialsInstructionsByInstructionsIds(String instructionsIds);

    Boolean insertIsMaterialsInstructions(IsMaterialsInstructions isMaterialsInstructions);

    Boolean updateIsMaterialsInstructions(IsMaterialsInstructions isMaterialsInstructions);

}
